> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thesearchx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Re-index

> Sync the Datasource with latest data (Re-indexing)



## OpenAPI

````yaml POST /{clientId}/reindex/{datasourceId}
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.thesearchx.com
security:
  - bearerAuth: []
paths:
  /{clientId}/reindex/{datasourceId}:
    post:
      description: Sync the Datasource with latest data (Re-indexing)
      parameters:
        - name: clientId
          in: path
          description: You can find Client ID at your Dashboard
          required: true
          schema:
            type: string
        - name: datasourceId
          in: path
          description: You can find Datasource ID at your Dashboard
          required: true
          schema:
            type: string
      requestBody:
        description: Body should be empty here
        content:
          application/json:
            schema:
              type: object
              properties: {}
      responses:
        '200':
          description: Reindex response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Success status
                  message:
                    type: string
                    description: Success message
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Here, Bearer Token is your **Client API Key** You can find at your
        [Client Page](https://thesearchx.com/app/client)

````